#!/bin/bash

bin_name=delib_cli
preprocessor_defines="-D USE_FTDI -D USE_FTDI_DUAL -D USE_USB_SIMPLE"

list_of_files="
source/delib_cli.c
source/delib_cli_open_module_usb.c

../delib-sources/delib/library/vc/deditec_timer.c
../delib-sources/delib/library/vc/deditec_convert_functions.c
../delib-sources/delib/library/vc/deditec_buff_utils.c
../delib-sources/delib/library/vc/deditec_string_utils.c
../delib-sources/delib/library/embedded/deditec_debug_comfort.c
../delib-sources/delib/library/vc/deditec_string_convert_to_number.c

../delib-sources/delib/delib_hdlmgr.c
../delib-sources/delib/delib_packet_statistic.c
../delib-sources/delib/delib_io_seriellFTDI.c
../delib-sources/delib/delib_Dapi_di_do_ad_da_befehle.c
../delib-sources/delib/delib_set_get_error.c
../delib-sources/delib/delib_Dapi_register_commands.c
../delib-sources/delib/delib_io_ftdi.c
../delib-sources/delib/delib_open_close.c

../delib-sources/usb-simple/ftdi.c 
../delib-sources/usb-simple/usb.c 
../delib-sources/usb-simple/linux.c 
../delib-sources/usb-simple/error.c 
../delib-sources/usb-simple/descriptors.c
-g"

echo now compiling $bin_name
gcc $preprocessor_defines -o $bin_name $list_of_files

if [ $? != "0" ]
   then echo
        echo "error(s) found while compiling"
        exit 100
   else echo
        echo "compiling successfull"
fi
