//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	delib_io_ftdi.h
//	project: delib
//
//
//	(c) DEDITEC GmbH, 2009-2020
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

#ifdef __linux__
#include "WinTypes.h"
#endif

extern ULONG DapiFTDISetModuleAdress(ULONG handle, ULONG moduleNr);
extern ULONG DapiFTDISendCommandMultipleBytes(ULONG handle, ULONG command, ULONG adress, ULONG adress_tiefe, ULONG wiederholungen, UCHAR* data, ULONG data_length);
extern ULONG DapiFTDISendCommand(ULONG handle32, ULONG command, ULONG adress, ULONG be, UCHAR *data_tx, ULONG data_tx_length, UCHAR *data_rx, ULONG data_rx_length);
extern ULONG FTread_n_bytes_with_timeout(ULONG handle, ULONG anz, UCHAR *buff, ULONG delay_max);
extern ULONG DapiOpenModuleGetFT_HANDLE(ULONG handle, ULONG moduleID, ULONG moduleNr, ULONG BusType, ULONG retry_max, ULONG subdevice, FT_HANDLE* ret_ft_handle, ULONG open_options);
extern ULONG DapiScanFTDIModulesGetModulesAvailable(ULONG moduleID);


extern ULONG DapiRenesasReset(FT_HANDLE ftHandle, ULONG delay);
extern ULONG DapiRenesasResetMode0(FT_HANDLE ftHandle, ULONG delay);

extern ULONG DapiOpenModuleIntern_FTDI(ULONG handle, ULONG moduleID, ULONG moduleNr, ULONG BusType, ULONG retry_max, ULONG subdevice, FT_HANDLE* ft_handle, ULONG open_options);

extern BOOL DapiFTDIOpenComPort(ULONG nComPort, ULONG BaudRate, ULONG Timeout);
extern BOOL DapiFTDICloseComPort(ULONG nComPort);

extern ULONG DapiFTDIPing(ULONG handle, ULONG value);

extern void DapiFTDIWriteByte(ULONG handle, ULONG adress, ULONG value);
extern void DapiFTDIWriteWord (ULONG handle,ULONG adress,ULONG value);
extern void DapiFTDIWriteLong (ULONG handle,ULONG adress,ULONG value);
extern void DapiFTDIWriteLongLong (ULONG handle,ULONG adress,ULONGLONG value);

extern ULONG DapiFTDIReadByte (ULONG handle,ULONG adress);
extern ULONG DapiFTDIReadWord (ULONG handle,ULONG adress);
extern ULONGLONG DapiFTDIReadLongLong(ULONG handle, ULONG adress);
extern ULONG DapiFTDIReadLong(ULONG handle, ULONG adress);

extern void DapiFTDIWriteBitClear(ULONG handle,ULONG adress,ULONG value);
extern void DapiFTDIWriteBitSet(ULONG handle,ULONG adress,ULONG value);

extern void DapiFTDIWriteBitClearLONGLONG (ULONG handle,ULONG adress,ULONGLONG value);
extern void DapiFTDIWriteBitSetLONGLONG (ULONG handle,ULONG adress,ULONGLONG value);

extern ULONG DapiFTDIReadMultipleBytes(ULONG handle, ULONG adress, ULONG adress_depth, ULONG increments, UCHAR * buff, ULONG buff_len);
extern ULONG DapiFTDIWriteMultipleBytes(ULONG handle, ULONG adress, ULONG adress_depth, ULONG increments, UCHAR * buff, ULONG buff_len);

#ifndef USE_USB_SIMPLE
#define MAX_RET_ALL_MODULES_AVAILABLE	512
extern ULONG AllModulesAvailableList[MAX_RET_ALL_MODULES_AVAILABLE];
extern ULONG AllModulesAvailableLocID[MAX_RET_ALL_MODULES_AVAILABLE];
extern ULONG AllModulesAvailableCount;
#endif
