#!/bin/bash

flags="-Wall -Werror"
lib_name=./build_x64/libDelibTcp

list_of_source_files="
blowfish.c
deditec_encryption_utils.c
delib_io_tcp_encryption.c
-g"
 
list_of_object_files="
blowfish.o
deditec_encryption_utils.o
delib_io_tcp_encryption.o
-g"
 
echo now compiling $lib_name
gcc -c $flags -fpic $list_of_source_files

if [ $? != "0" ]
   then echo
        echo "error(s) found while compiling"
        exit 100
   else echo
        gcc -shared -o $lib_name.so $list_of_object_files
		rm *.o
		echo "lib created"
fi
