//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//
//
//
//	proj_config.h
//	project: delib
//
//
//	(c) DEDITEC GmbH, 2009-2020
//	web: http://www.deditec.de/
//	mail: vertrieb@deditec.de
//
//
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************
//***********************************************************************************

#define DELIB_VERSION								0x0234		// Actual DELIB-Version
#define DELIB_VERSION_SUB							0			// unter-Nummer zur DELIB

#include "library/vc/deditec_string_utils.h"
#include "library/delib/delib_error_codes.h"


#if (_MSC_VER >= 1500)	// >= Visual Studio 2008
	//#define strcat	strcat_s
	//#define strcpy	strcpy_s
	#define sprintf	sprintf_s
#endif


#ifdef __linux__

	#ifdef __x86_64__  
		// 64 Bit
		#define DAPI_PTR_SIZE			(unsigned long long)
	#else
		// 32 Bit
		#define DAPI_PTR_SIZE			(unsigned long)
	#endif
	
#else
	#define DAPI_PTR_SIZE			
#endif


#ifndef use_delib_debug_include

	#define use_delib_debug_include 1

	#ifdef use_delib_debug_include
		#include "delib_debug.h"
	#endif
#endif

#define RETURN_OK				0
#define RETURN_ERROR			-1
